websocket-sharp : WebSocketSharp.Server Namespace

# WebSocketServer Class

Documentation for this section has not yet been entered.

## Syntax

public class WebSocketServer : WebSocketServerBase

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Server
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from WebSocketServerBase.

## Public Constructors

| WebSocketServer () | Documentation for this section has not yet been entered.
| WebSocketServer (int) | Documentation for this section has not yet been entered.
| WebSocketServer (string) | Documentation for this section has not yet been entered.
| WebSocketServer (int, bool) | Documentation for this section has not yet been entered.
| WebSocketServer (System.Net.IPAddress, int) | Documentation for this section has not yet been entered.
| WebSocketServer (System.Net.IPAddress, int, bool) | Documentation for this section has not yet been entered.

## Public Properties

[read-only] | Address | System.Net.IPAddress . Gets the local IP address on which to listen for incoming connection attempts. (Inherited from WebSocketServerBase.)
[read-only] | IsSecure | bool . Gets a value indicating whether this server is secure. (Inherited from WebSocketServerBase.)
[read-only] | IsSelfHost | bool . Gets a value indicating whether this server is self host. (Inherited from WebSocketServerBase.)
[read-only] | Port | int . Gets the port on which to listen for incoming connection attempts. (Inherited from WebSocketServerBase.)
[read-only] | ServicePath | IEnumerable<string> . Documentation for this section has not yet been entered.
| Sweeped | bool . Documentation for this section has not yet been entered.

## Protected Properties

| BaseUri | Uri . Gets or sets the WebSocket URL on which to listen for incoming connection attempts. (Inherited from WebSocketServerBase.)

## Public Methods

AddService<T> (string)

> Documentation for this section has not yet been entered.

Broadcast (string)

> Documentation for this section has not yet been entered.

Start ()

> Starts to receive the WebSocket connection requests. (Inherited from WebSocketServerBase.)

override

Stop ()

> Documentation for this section has not yet been entered.

Stop ()

> Stops receiving the WebSocket connection requests. (Inherited from WebSocketServerBase.)

## Protected Methods

override

AcceptWebSocket (System.Net.Sockets.TcpClient)

> Documentation for this section has not yet been entered.

abstract

AcceptWebSocket (System.Net.Sockets.TcpClient)

> Accepts the WebSocket connection. (Inherited from WebSocketServerBase.)

Error (string)

> Occurs the WebSocketServerBase.OnError event with the specified message. (Inherited from WebSocketServerBase.)

## Public Events

| OnError | Occurs when this server gets an error. (Inherited from WebSocketServerBase.)

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### WebSocketServer Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServer ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServer Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServer (int port)

> #### Parameters

> > port
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServer Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServer (string url)

> #### Parameters

> > url
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServer Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServer (int port, bool secure)

> #### Parameters

> > port
> >   Documentation for this section has not yet been entered.
> > secure
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServer Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServer (System.Net.IPAddress address, int port)

> #### Parameters

> > address
> >   Documentation for this section has not yet been entered.
> > port
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### WebSocketServer Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketServer (System.Net.IPAddress address, int port, bool secure)

> #### Parameters

> > address
> >   Documentation for this section has not yet been entered.
> > port
> >   Documentation for this section has not yet been entered.
> > secure
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### AcceptWebSocket Method

> Documentation for this section has not yet been entered.

> ## Syntax

> protected override void AcceptWebSocket (System.Net.Sockets.TcpClient client)

> #### Parameters

> > client
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### AddService<T> Generic Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void AddService<T> (string absPath)
> where T : WebSocketSharp.Server.WebSocketService, new()

> #### Type Parameters

> > T
> >   Documentation for this section has not yet been entered.

> #### Parameters

> > absPath
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Broadcast Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Broadcast (string data)

> #### Parameters

> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### ServicePath Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerable<string> ServicePath { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public override void Stop ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Sweeped Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Sweeped { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581